<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<html class="no-js">
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ' - '); ?><?php $this->options->title(); ?></title>

    <!-- 通过自有函数输出HTML头部信息 -->
    <?php $this->header(); ?>
    <link rel="shortcut icon" href="<?php $this->options->ico() ?>">
    <link rel="stylesheet" href="<?php $this->options->themeUrl('layui/css/layui.css'); ?>?v=2.5.6">
    <link rel="stylesheet" href="<?php $this->options->themeUrl('css/style.css'); ?>?t=<?php echo time(); ?>">

    <link rel="stylesheet" href="<?php $this->options->themeUrl('style1.css'); ?>">
    <script src="<?php $this->options->themeUrl('layui/layui.js'); ?>?v=2.5.6"></script>
    <script src="<?php $this->options->themeUrl('js/main.js'); ?>?v=2.0"></script>
    <script src="<?php $this->options->themeUrl('layui.js'); ?>"></script>
    <script src="<?php $this->options->themeUrl('main.js'); ?>"></script>


      <!--小图标用不了的话就换font-awesome外部地址-->
      
      
      
      
    <link rel="stylesheet" href="https://cdn.staticfile.org/font-awesome/4.7.0/css/font-awesome.css">

<!--jquery插件-->
<script src="https://cdn.staticfile.org/jquery/1.10.2/jquery.min.js"></script>






    <style>


.loading{width: 100%;height: 100%;position: fixed;top:0;left: 0;z-index: 100;background-color: #fff;}
.loading .pic{width: 50px;height: 50px;position: absolute;top: 0;left: 0;bottom: 0;right: 0;margin: auto;}
.loading .pic i{display: block;float: left;width: 6px;height: 50px;background-color: #5fb878;margin: 0 2px;transform: scaleY(.4);animation: load 1.2s infinite;
}
.loading .pic i:nth-child(1){}
.loading .pic i:nth-child(2){animation-delay: .1s; }
.loading .pic i:nth-child(3){animation-delay: .2s;}
.loading .pic i:nth-child(4){animation-delay: .3s;}
.loading .pic i:nth-child(5){animation-delay: .4s;}
@keyframes load{
	0%,40%,100%{transform: scaleY(.4);}
	20%{transform: scaleY(1);}
}



        <?php if (!empty($this->options->navFixed) && $this->options->navFixed == 'checked'): ?>
            .header {
                position: fixed;
                left: 0;
                top: 0;
                z-index: 10000;
                width: 100%;
            }
            .layui-container {
                margin-top: 70px;
            }
            .timeline-menu-fixed {
                top: 70px;
            }
            .timeline-header h2 {
                margin-top: -70px;
                padding-top: 70px;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->headerColor)): ?>
            .header {
                background-color: <?php $this->options->headerColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->headerTextColor)): ?>
            .header a{
                color: <?php $this->options->headerTextColor(); ?>;
            }
            .header .layui-nav .layui-nav-item a {
                color: <?php $this->options->headerTextColor(); ?>;
            }
            .header .layui-nav .layui-nav-item .layui-nav-child a {
                color: #212220;
            }
            .header .layui-nav .layui-nav-more {
                border-color: <?php $this->options->headerTextColor(); ?> transparent transparent;
            }
            .header .layui-nav .layui-nav-mored {
                border-color: transparent transparent <?php $this->options->headerTextColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->footerColor)): ?>
            .footer {
                background: <?php $this->options->footerColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->footerTextColor)): ?>
            .footer span {
                color: <?php $this->options->footerTextColor(); ?>;
            }
            .footer .layui-breadcrumb a {
                color: <?php $this->options->footerTextColor(); ?> !important;
            }
            .footer .layui-breadcrumb span[lay-separator] {
                color: <?php $this->options->footerTextColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->backgroundColor)): ?>
            body {
                background: <?php $this->options->backgroundColor(); ?>;
            }
            .layui-carousel {
                background: <?php $this->options->backgroundColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->backgroundImg)): ?>
            body {
                background-image:url(<?php $this->options->backgroundImg(); ?>);
                background-repeat: round;
            }
        <?php endif; ?>
    </style>
</head>
<body>
<!--[if lt IE 8]>
    <div class="browsehappy" role="dialog"><?php _e('当前网页 <strong>不支持</strong> 你正在使用的浏览器. 为了正常的访问, 请 <a href="http://browsehappy.com/">升级你的浏览器</a>'); ?>.</div>
<![endif]-->



<script>
    
    document.onreadystatechange = function () {//即在加载的过程中执行下面的代码
	if(document.readyState=="complete"){//complete加载完成
		$(".loading").fadeOut();
	}
}

</script>



<div class="loading">
	<div class="pic">
		<i></i>
		<i></i>
		<i></i>
		<i></i>
		<i></i>
	</div>
</div>






<body class="layui-layout-body">
<div class="layui-layout layui-layout-admin">
  <div class="layui-header">
    <div class="layui-logo">
      <h1><a href="/"><i class="fa fa-home"></i><span></span></a></h1>
    </div>
    <!-- 头部区域（可配合layui已有的水平导航） -->
    <ul class="layui-nav layui-layout-left layui-hide-xs">
      <li class="layui-nav-item side-switch"><a href="javascript:;"><i class="fa fa-dedent"></i></a></li>
      <li class="layui-nav-item"><a href="/">首页</a></li>
    </ul>
 
	
	
	<ul class="layui-nav layui-layout-right">
      <li class="layui-nav-item layui-hide-xs">
					

<form class="layui-form search-form" method="get" action="">
    <input type="search" class="search-field layui-input t-ip" placeholder="输入关键字搜索" value="" name="s" required="" lay-verify="required" autocomplete="off">
</form>      </li>
		<li class="layui-nav-item side-btn layui-hide-sm layui-this"><a href="javascript:;"><i class="fa fa-bars"></i></a></li>
    <span class="layui-nav-bar" style="left: 20px; top: 56px; width: 0px; opacity: 0;"></span></ul>
	

    
  </div>
  
  
  
  
 <div class="side layui-bg-black" id="sidebar-nav">
    <div class="side-logo">
      <h1><a href="/" title=""><i class="fa fa-home"></i><span> <?php $this->options->title() ?></span></a></h1>
    </div>
    <div class="layui-side-scroll">
      <div class="user-side">
        <img src="<?php $this->options->logoUrl() ?>" alt="logo"   class="side-upic"    width="60"
    height="60" >
        <div class="t-t">
       
          <p>
                     </p>
          <span><i class="fa fa-map-marker"></i> China</span>
        </div>
  
        
          <div class="t-i">
              
                    

              
              
          <a href="javascript:;" target="_blank" rel="nofollow" class="wxbusinesscard"><i class="fa fa-weixin fa-fw"></i>
          <div class="wxbusinesscard_box">
            <img src="<?php $this->options->wxurl() ?>" alt="扫一扫">
          </div>
          </a>
      
          <a href="tencent://Message/?Uin=<?php $this->options->qqurl() ?>" rel="nofollow" target="_blank"><i class="fa fa-qq fa-fw"></i></a>
          <a href="mailto:<?php $this->options->yxurl() ?>" rel="nofollow"><i class="fa fa-envelope fa-fw"></i></a>
        </div>
      </div>
      <ul class="layui-nav layui-nav-tree layui-inline" lay-filter="nav">
        <li class="layui-nav-item "><a href="/"><i class="fa fa-circle-o fa-fw"></i><span>首页</span></a></li>
      
        <li class="layui-nav-item layui-nav-itemed"><a href="javascript:;" class="nav-item-a"><i class="fa fa-code-fork"></i><span>类别</span><span class="layui-nav-more"></span></a>


            <div id="scroll2" class="layui-nav-child"><ul>
                

    <?php $this->widget('Widget_Metas_Category_List')
               ->parse('<li class="page_item page-item-2"><a href="{permalink}"><i class="fa fa-angle-right"></i>{name}</a></li>'); ?>

</ul></div>
 

        </li>
        <!--循环输出独立页面-->
        <li class="layui-nav-item layui-nav-itemed">
            

        <a href="javascript:;" class="nav-item-a"><i class="fa fa-file-code-o"></i><span>页面</span><span class="layui-nav-more"></span></a>
      
        <div id="scroll2" class="layui-nav-child"><ul>


  <?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
                    <?php while($pages->next()): ?>
                  <li class="page_item page-item-2"> <a<?php if($this->is('page', $pages->slug)): ?> <?php endif; ?> href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><i class="fa fa-angle-right"></i><?php $pages->title(); ?></a></li>
                    <?php endwhile; ?>

</ul></div>
 
    

       
      
    </li><span class="layui-nav-bar" style="top: 22.5px; height: 0px; opacity: 0;"></span></ul></div>
  </div>





