<?php
/**
 * 原主题：<a href="https://www.echo.so">宁采陈个人博客</a> 由<a href="https://aboke.net">A博客</a>进行二次修改

 * 
 * @package Abkecho
 * @author A博客
 * @version 1.0
 * @link https://aboke.net
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;

?>







<!DOCTYPE HTML>
<html class="no-js">
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title><?php $this->options->title() ?><?php $this->options->houzhui() ?></title>

    <!-- 通过自有函数输出HTML头部信息 -->
    <?php $this->header(); ?>
    <link rel="shortcut icon" href="<?php $this->options->ico() ?>">
    <link rel="stylesheet" href="<?php $this->options->themeUrl('layui/css/layui.css'); ?>?v=2.5.6">
    <link rel="stylesheet" href="<?php $this->options->themeUrl('css/style.css'); ?>?t=<?php echo time(); ?>">

    <link rel="stylesheet" href="<?php $this->options->themeUrl('style1.css'); ?>">
    <script src="<?php $this->options->themeUrl('layui/layui.js'); ?>?v=2.5.6"></script>
    <script src="<?php $this->options->themeUrl('js/main.js'); ?>?v=2.0"></script>
    <script src="<?php $this->options->themeUrl('layui.js'); ?>"></script>
    <script src="<?php $this->options->themeUrl('main.js'); ?>"></script>


      <!--小图标用不了的话就换font-awesome外部地址-->
    <link rel="stylesheet" href="https://cdn.staticfile.org/font-awesome/4.7.0/css/font-awesome.css">

<!--jquery插件-->
<script src="https://cdn.staticfile.org/jquery/1.10.2/jquery.min.js"></script>

    <style>
    
    

    .loading{width: 100%;height: 100%;position: fixed;top:0;left: 0;z-index: 100;background-color: #fff;}
.loading .pic{width: 50px;height: 50px;position: absolute;top: 0;left: 0;bottom: 0;right: 0;margin: auto;}
.loading .pic i{display: block;float: left;width: 6px;height: 50px;background-color: #5fb878;margin: 0 2px;transform: scaleY(.4);animation: load 1.2s infinite;
}
.loading .pic i:nth-child(1){}
.loading .pic i:nth-child(2){animation-delay: .1s; }
.loading .pic i:nth-child(3){animation-delay: .2s;}
.loading .pic i:nth-child(4){animation-delay: .3s;}
.loading .pic i:nth-child(5){animation-delay: .4s;}
@keyframes load{
	0%,40%,100%{transform: scaleY(.4);}
	20%{transform: scaleY(1);}
}

    
    
    
    
    
        <?php if (!empty($this->options->navFixed) && $this->options->navFixed == 'checked'): ?>
        
        
         

        
            .header {
                position: fixed;
                left: 0;
                top: 0;
                z-index: 10000;
                width: 100%;
            }
            .layui-container {
                margin-top: 70px;
            }
            .timeline-menu-fixed {
                top: 70px;
            }
            .timeline-header h2 {
                margin-top: -70px;
                padding-top: 70px;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->headerColor)): ?>
            .header {
                background-color: <?php $this->options->headerColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->headerTextColor)): ?>
            .header a{
                color: <?php $this->options->headerTextColor(); ?>;
            }
            .header .layui-nav .layui-nav-item a {
                color: <?php $this->options->headerTextColor(); ?>;
            }
            .header .layui-nav .layui-nav-item .layui-nav-child a {
                color: #212220;
            }
            .header .layui-nav .layui-nav-more {
                border-color: <?php $this->options->headerTextColor(); ?> transparent transparent;
            }
            .header .layui-nav .layui-nav-mored {
                border-color: transparent transparent <?php $this->options->headerTextColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->footerColor)): ?>
            .footer {
                background: <?php $this->options->footerColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->footerTextColor)): ?>
            .footer span {
                color: <?php $this->options->footerTextColor(); ?>;
            }
            .footer .layui-breadcrumb a {
                color: <?php $this->options->footerTextColor(); ?> !important;
            }
            .footer .layui-breadcrumb span[lay-separator] {
                color: <?php $this->options->footerTextColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->backgroundColor)): ?>
            body {
                background: <?php $this->options->backgroundColor(); ?>;
            }
            .layui-carousel {
                background: <?php $this->options->backgroundColor(); ?>;
            }
        <?php endif; ?>
        <?php if (!empty($this->options->backgroundImg)): ?>
            body {
                background-image:url(<?php $this->options->backgroundImg(); ?>);
                background-repeat: round;
            }
        <?php endif; ?>
    </style>
</head>
<body>
<!--[if lt IE 8]>
    <div class="browsehappy" role="dialog"><?php _e('当前网页 <strong>不支持</strong> 你正在使用的浏览器. 为了正常的访问, 请 <a href="http://browsehappy.com/">升级你的浏览器</a>'); ?>.</div>
<![endif]-->




<script>
document.onreadystatechange = function () {//即在加载的过程中执行下面的代码
	if(document.readyState=="complete"){//complete加载完成
		$(".loading").fadeOut();
	}
}

</script>



<div class="loading">
	<div class="pic">
		<i></i>
		<i></i>
		<i></i>
		<i></i>
		<i></i>
	</div>
</div>


<body class="layui-layout-body">
<div class="layui-layout layui-layout-admin">
  <div class="layui-header">
    <div class="layui-logo">
      <h1><a href="/"><i class="fa fa-home"></i><span></span></a></h1>
    </div>
    <!-- 头部区域（可配合layui已有的水平导航） -->
    <ul class="layui-nav layui-layout-left layui-hide-xs">
      <li class="layui-nav-item side-switch"><a href="javascript:;"><i class="fa fa-dedent"></i></a></li>
      <li class="layui-nav-item "><a href="/">首页</a></li>
    </ul>
 
	
	
	<ul class="layui-nav layui-layout-right">
      <li class="layui-nav-item layui-hide-xs">
					

<form class="layui-form search-form" method="get" action="">
    <input type="search" class="search-field layui-input t-ip" placeholder="输入关键字搜索" value="" name="s" required="" lay-verify="required" autocomplete="off">
</form>      </li>
		<li class="layui-nav-item side-btn layui-hide-sm layui-this"><a href="javascript:;"><i class="fa fa-bars"></i></a></li>
    <span class="layui-nav-bar" style="left: 20px; top: 56px; width: 0px; opacity: 0;"></span></ul>
	

    
  </div>
  
  
  
  
 <div class="side layui-bg-black" id="sidebar-nav">
    <div class="side-logo">
      <h1><a href="/" title=""><i class="fa fa-home"></i><span> <?php $this->options->title() ?></span></a></h1>
    </div>
    <div class="layui-side-scroll">
      <div class="user-side">
        <img src="<?php $this->options->logoUrl() ?>"   class="side-upic"    width="60"
    height="60" >
        <div class="t-t">
       
          <p>
                     </p>
          <span><i class="fa fa-map-marker"></i> China</span>
        </div>
  
        
          <div class="t-i">
              
                    

              
              
          <a href="javascript:;" target="_blank" rel="nofollow" class="wxbusinesscard"><i class="fa fa-weixin fa-fw"></i>
          <div class="wxbusinesscard_box">
            <img src="<?php $this->options->wxurl() ?>" alt="扫一扫">
          </div>
          </a>
      
          <a href="tencent://Message/?Uin=<?php $this->options->qqurl() ?>" rel="nofollow" target="_blank"><i class="fa fa-qq fa-fw"></i></a>
          <a href="mailto:<?php $this->options->yxurl() ?>" rel="nofollow"><i class="fa fa-envelope fa-fw"></i></a>
        </div>
      </div>
      <ul class="layui-nav layui-nav-tree layui-inline" lay-filter="nav">
        <li class="layui-nav-item "><a href="/"><i class="fa fa-circle-o fa-fw"></i><span>首页</span></a></li>
      
        <li class="layui-nav-item layui-nav-itemed"><a href="javascript:;" class="nav-item-a"><i class="fa fa-code-fork"></i><span>类别</span><span class="layui-nav-more"></span></a>


            <div id="scroll2" class="layui-nav-child"><ul>
                

    <?php $this->widget('Widget_Metas_Category_List')
               ->parse('<li class="page_item page-item-2"><a href="{permalink}"><i class="fa fa-angle-right"></i>{name}</a></li>'); ?>

</ul></div>
 

        </li>
        <!--循环输出独立页面-->
        <li class="layui-nav-item layui-nav-itemed">
        <a href="javascript:;" class="nav-item-a "><i class="fa fa-file-code-o"></i><span>页面</span><span class="layui-nav-more"></span></a>
      
        <div id="scroll2" class="layui-nav-child"><ul>


  <?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
                    <?php while($pages->next()): ?>
                  <li class="page_item page-item-2"> <a<?php if($this->is('page', $pages->slug)): ?> <?php endif; ?> href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><i class="fa fa-angle-right"></i><?php $pages->title(); ?></a></li>
                    <?php endwhile; ?>

</ul></div>
 
    


       
      
    </li><span class="layui-nav-bar" style="top: 22.5px; height: 0px; opacity: 0;"></span></ul></div>
  </div>




































<style>
    
    .layui-body {
    top: 60px;
   
    }
   

    
</style>

<div class="layui-body">
<div class="layui-fluid map">
      <span class="layui-breadcrumb" style="visibility: visible;">
      
          
      </span>
    </div>
<div class="layui-fluid main-wp">
		<div class="layui-row main layui-col-space15">



    <?php $this->need('searchs.php'); ?>

    <?php if (!empty($this->options->bigCarouselSwitch) && $this->options->bigCarouselSwitch == 'checked'): ?>
        <div class="layui-carousel main" id="bigCarousel" style="padding: 0 7.5px;">
            <div carousel-item="">
                <?php $this->options->bigCarouselText() ?>
            </div>
        </div>
        <script>
            layui.use('carousel', function(){
                var carousel = layui.carousel;
                //建造实例
                carousel.render({
                    elem: '#bigCarousel'
                    ,width: '100%'
                    ,height: '<?php echo $this->options->bigCarouselHeight?$this->options->bigCarouselHeight:'180px'; ?>'
                    ,arrow: 'always'
                });
            });
        </script>
    <?php endif; ?>

    <div class="layui-row layui-col-space15 main">
    
        <div class="content layui-col-md9 layui-col-lg10">

            <?php if (!empty($this->options->smallCarouselSwitch) && $this->options->smallCarouselSwitch == 'checked'): ?>
                <div class="layui-carousel list-card" id="smallCarousel">
                    <div carousel-item="">
                        <?php $this->options->smallCarouselText() ?>
                    </div>
                </div>
                <script>
                    layui.use('carousel', function(){
                        var carousel = layui.carousel;
                        //建造实例
                        carousel.render({
                            elem: '#smallCarousel'
                            ,width: '100%'
                            ,height: '<?php echo $this->options->smallCarouselHeight?$this->options->smallCarouselHeight:'180px'; ?>'
                            ,arrow: 'always'
                        });
                    });
                </script>
            <?php endif; ?>

            <?php while($this->next()): ?>
                <div class="title-article list-card">
                    <?php if (!empty($this->options->thumbType)): ?>
                        <div class="list-pic">
                            <a href="<?php $this->permalink() ?>" title="<?php $this->title() ?>">
                                <img src="<?php $thumb = 'thumb'.$this->options->thumbType; echo $thumb($this); ?>" alt="<?php $this->title() ?>" class="img-full">
                            </a>
                        </div>
                    <?php endif; ?>
                    <a href="<?php $this->permalink() ?>">
                        <h1><?php $this->sticky(); $this->title() ?></h1>
                        <p>
                            <?php $this->excerpt(300, '...'); ?>
                        </p>
                    </a>
                    <div class="title-msg">
                        <span><i class="layui-icon">&#xe705;</i> <?php $this->category(','); ?></span>
                        <span><i class="layui-icon">&#xe60e;</i> <?php $this->date('Y-m-d A'); ?> </span>
                        <span class="layui-hide-xs"><i class="layui-icon">&#xe62c;</i> <?php get_post_view($this); ?>℃</span>
                        <span class="layui-hide-xs"><i class="layui-icon">&#xe63a;</i> <?php $this->commentsNum('%d'); ?>条</span>
                    </div>
                </div>
            <?php endwhile; ?>
            <div class="page-navigator">
                <?php $this->pageNav('«', '»', 1, '...', array('wrapTag' => 'div', 'wrapClass' => 'layui-laypage layui-laypage-molv', 'itemTag' => '', 'currentClass' => 'current', )); ?>
            </div>
        </div>
        
        <?php $this->need('sidebar.php'); ?>

    </div>
</div>

<?php $this->need('footer.php'); ?>
